﻿using CommunityToolkit.Mvvm.ComponentModel;

namespace SocialEducatorAvalonia.DTOs
{
    /// <summary>
    /// DTO для отображении GroupViewModel
    /// </summary>
    public partial class GroupItem : ObservableObject
    {
        [ObservableProperty]
        int _id;
        /// <summary>
        /// Заголовок группы
        /// </summary>
        [ObservableProperty]
        string _title = string.Empty;
        /// <summary>
        /// Число обучающихся в группе
        /// </summary>
        [ObservableProperty]
        int _countsOfPerson;
    }
}
