﻿using CommunityToolkit.Mvvm.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;

namespace SocialEducatorAvalonia.Models
{
    /// <summary>
    /// Нужно для того чтобы на странице с выплатами хранить данные и сравнивать
    /// </summary>
    public partial class Student : ObservableObject
    {
        [ObservableProperty]
        [property: NotMapped]
        bool _isChecked = false;

        public bool Equals(Student other)
        {
            if (other == null) return false;
            return Fio == other.Fio && StudentGroupId == other.StudentGroupId && StudentStatusId == other.StudentStatusId && AdmissionDate == other.AdmissionDate && Name == other.Name &&
                Surname == other.Surname && Patronymic == other.Patronymic;
        }
    }
}
